NNTPConnectionClosedException
Date: 2016-06-23

org.apache.commons.net.nntp

## Class NNTPConnectionClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.net.nntp.NNTPConnectionClosedException

- All Implemented Interfaces:
    java.io.Serializable

      public final class NNTPConnectionClosedException
      extends java.io.IOException

  NNTPConnectionClosedException is used to indicate the premature or unexpected closing of an NNTP connection resulting from a `NNTPReply.SERVICE_DISCONTINUED` response (NNTP reply code 400) to a failed NNTP command. This exception is derived from IOException and therefore may be caught either as an IOException or specifically as an NNTPConnectionClosedException.
  See Also:
    `NNTP`, `NNTPClient`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NNTPConnectionClosedException()` Constructs a NNTPConnectionClosedException with no message
    `NNTPConnectionClosedException(java.lang.String message)` Constructs a NNTPConnectionClosedException with a specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NNTPConnectionClosedException

          public NNTPConnectionClosedException()

      Constructs a NNTPConnectionClosedException with no message

    - #### NNTPConnectionClosedException

          public NNTPConnectionClosedException(java.lang.String message)

      Constructs a NNTPConnectionClosedException with a specified message.

      Parameters:
        `message` - The message explaining the reason for the exception.